Subject: Re: bug#2251: 23.0.90; Summary by label in RMAIL

From: Eli Zaretskii <[email-masked]>
Date: Tue, 10 Feb 2009 22:33:39 +0200

> Date: Tue, 10 Feb 2009 18:28:18 +0000
> From: jpff <[email-masked]>
> CC: [email-masked], [email-masked], [email-masked]
> 
>  >> > X-RMAIL-ATTRIBUTES: --E-----
>  >> >         x       X-Coding-System: iso-8859-1-unix
>  >> > Return-path: <[email-masked]>
>  >> 
>  >> The second line is broken.
> 
>  Eli> Bother.  Did Rmail produce that broken line?  If so, could it be that
>  Eli> my changes from two days ago are the culprit?
> 
>  Eli> IOW, where did that "        x       " part before X-Coding-System
>  Eli> came from?
> 
> I did not do anything directly to break it so I assume that the new
> rmail-mode did it.

Yes, but can you spot the "        x       ", or something that can
explain how it came about, in the original mbox file?

Rmail should just add the X-Coding-System header at the beginning of a
line, so I wonder how come it produced what you saw.  Please help me
understand that.

> I am have a number of problems/irritation with rmail; this is one of
> them.  Others include not being able to read ~/RMAIL directly into
> rmail-mode, and having to select coding mode every time I read new
> mail and when I save mail.

What do you mean by "not being able to read"? what happens if you try?
And what do you mean by "having to select coding mode"? please tell
more details about these problems.

>   Unseen not set when mail read (as far as I can see)

You mean unseen not _reset_, right?